%global with_tests 0
%global debug_package %{nil}

Name:           adapt
Version:        0.3.0
Release:        2%{?dist}
Summary:        Mycroft's Adapt Intent Parser

License:        LGPLv3
URL:            https://adapt.mycroft.ai/
Source0:        https://github.com/MycroftAI/adapt/archive/release/v%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  libicu-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python-six
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-six

%if 0%{?with_tests}
BuildRequires:  python-pep8
BuildRequires:  python3-pep8
%endif

%description
The Adapt Intent Parser is a flexible and extensible intent definition and 
determination framework. It is intended to parse natural language text into a 
structured intent that can then be invoked programatically.

%package -n python2-adapt
Summary:        A python2 library for Adapt Intent Parser
%{?python_provide:%python_provide python2-adapt}
Requires:       python2-ee

%description -n python2-adapt
A python2 library for Adapt Intent Parser.

%package -n python3-adapt
Summary:        A python3 library for Adapt Intent Parser
%{?python_provide:%python_provide python3-adapt}
Requires:       python3-ee

%description -n python3-adapt
A python3 library for Adapt Intent Parser.

%prep
%setup -q -n adapt-release-v%{version}

%build
rm -rf adapt-parser.egg-info

%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%if %{with_tests}
%{__python2} setup.py test
%{__python3} setup.py test
%endif


%files -n python2-adapt
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{python_sitelib}/%{name}_parser-%{version}*
%{python_sitelib}/%{name}/

%files -n python3-adapt
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{python3_sitelib}/%{name}_parser-%{version}*
%{python3_sitelib}/%{name}/

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Mar 19 2017 Peter Robinson <pbrobinson@fedoraproject.org> 0.3.0-1
- Initial package
